%global mysql_plugin_dir %(mysql_config --plugindir)

%define oname mysql-udf-http
%define lname %(echo %{oname} | sed -e 's/-/_/g')

Name: mysqludf_curl
Version: 1.0
Release: %mkrel 4
BuildRequires: mysql-devel
BuildRequires: curl-devel
Group: Databases
License: BSD
URL: https://code.google.com/archive/p/mysql-udf-http/
Summary: MySQL User-defined function (UDF) for HTTP REST
Source: https://storage.googleapis.com/google-code-archive-downloads/v1/code.google.com/mysql-udf-http/mysql-udf-http-%{version}.tar.gz

%description
MySQL User-defined function (UDF) for HTTP REST.

%prep
%setup -qn %{oname}-%{version}
# fix README
sed -i -e "s|%{oname}\(\.so\)|%{lname}\1|g" README

# fix Makefile.am
sed -i -e "s|%{oname}\([_\.]la\)|%{lname}\1|g" \
       -e "s|\(-module\)|\1 -avoid-version|g" src/Makefile.am

touch NEWS AUTHORS ChangeLog

%build
autoreconf -fi
%configure2_5x --with-mysql=%{_bindir}/mysql_config
%make

%install
install -m755 -D src/.libs/*.so %{buildroot}%{mysql_plugin_dir}/%{oname}.so

%files
%doc README
%{mysql_plugin_dir}/%{oname}.so


%changelog
* Sat Mar 05 2016 blino <blino> 1.0-4.mga6
+ Revision: 986244
- use sed command from gentoo ebuild to fix non-standard libtool name
  containing a dash
- create empty doc files needed for latest libtool

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + fwang <fwang>
    - use autoreconf

* Mon Sep 14 2015 fwang <fwang> 1.0-1.mga6
+ Revision: 879288
- build module
- hardcode mysql-config
- imported package mysqludf_curl

